QuickBuildRequest Class

The queue build request parameters for a quick build.

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.mgmt.containerregistry.v2018_02_01_preview.models._models_py3.QueueBuildRequest
QuickBuildRequest

Constructor

QuickBuildRequest(*, source_location: str, platform: azure.mgmt.containerregistry.v2018_02_01_preview.models._models_py3.PlatformProperties, docker_file_path: str, image_names: Optional[List[str]] = None, build_arguments: Optional[List[azure.mgmt.containerregistry.v2018_02_01_preview.models._models_py3.BuildArgument]] = None, is_push_enabled: Optional[bool] = True, no_cache: Optional[bool] = False, timeout: Optional[int] = 3600, **kwargs)

Variables

type
str

Required. The type of the build request.Constant filled by server.

image_names
list[str]

The fully qualified image names including the repository and tag.

source_location
str

Required. The URL(absolute or relative) of the source that needs to be built. For Docker build, it can be an URL to a tar or github repository as supported by Docker. If it is relative URL, the relative path should be obtained from calling getSourceUploadUrl API.

build_arguments
list[BuildArgument]

The collection of build arguments to be used.

is_push_enabled
bool

The value of this property indicates whether the image built should be pushed to the registry or not.

no_cache
bool

The value of this property indicates whether the image cache is enabled or not.

timeout
int

Build timeout in seconds.

platform
PlatformProperties

Required. The platform properties against which the build will happen.

docker_file_path
str

Required. The Docker file path relative to the source location.